<?php

	require_once "../system/BlogDB.php";
	require_once "../system/lib.php";

	$config = parse_ini_file("../system/setting.ini");

	$data = array();

	$err = 0;
	$err_message = array();

	// タイトルチェック
	if ($_POST["title"] == "") {

		$err++;

		$err_message[] = "タイトルが指定されていません";

	}

	if ($err != 0) {

		print "<html>\n<body>\r\n";
		print "<p>エラー発生</p>";

		print "</body>\n</html>\r\n";

		exit;

	}

	// 更新時刻を設定
	$data["changedate"] = time();

	$add_article = false;

	// 未設定なら記事IDを設定
	if ($_POST["id"] == '') {

		$data["id"] = $data["changedate"];

		$add_article = true;

	} else {
		$data["id"] = sqlite_escape_string($_POST["id"]);
	}

	$data["title"] = $_POST["title"];
	$data["tag"] = $_POST["tag"];
	$data["body"] = $_POST["body"];
	$data["indexsummary"] = $_POST["indexsummary"];
	$data["atomsummary"] = $_POST["atomsummary"];

	// 新規登録日時を設定
	if ($_POST["writedate"] == "") {
		$data["writedate"] = $data["changedate"];
	} else {
		// 新規登録日時を保存
		$data["writedate"] = $_POST["writedate"];
	}

	$result_message = "";
	$ping_result = "";

	$db = new BlogDB($config['db_path']);

	if ($db->writeArticle($data)) {

		$result_message = "<p>書き込み成功</p>\r\n";

		// ATOM更新
		updateAtom($data["changedate"]);

		// 更新後のアクセス指定があれば、アクセス
		if ($_POST["pingflag"] == "on" && $_POST["pinguri"]) {

			$ping_result = file_get_contents($_POST["pinguri"]);

			if (!$ping_result) {
				$ping_result = '<p>' . $_POST["pinguri"] . 'にアクセスできませんでした。</p>' . "\r\n";
			} else {
				$ping_result = '<p>' . $_POST["pinguri"] . 'にアクセスしました。</p>' . "\r\n";
			}

		}

	} else {
		$result_message = "<p>書き込み失敗</p>\r\n";
	}

	print "<!DOCTYPE html>\r\n";
	print '<html lang="ja">' . "\r\n";
	print "<head>\r\n";
	print '<meta http-equiv="Content-Type" content="text/html; charset=utf-8">' . "\r\n";
	print "<title>記事登録処理結果</title>\r\n";
	print "</head>\r\n";
	print "<body>\r\n";
	print "<p>処理結果:" . $result_message . "</p>\r\n";
	print $ping_result;
	print '<p><a href="./">管理画面トップへ</a></p>' . "\r\n";

	print "</body>\r\n";
	print "</html>\r\n";

?>
