<?php

	require_once "system/BlogDB.php";
	require_once "system/lib.php";

	// 設定ファイル読み込み
	$config = parse_ini_file('system/setting.ini');

	// データベースクラス作成
	$db = new BlogDB($config['db_path']);

	if (!$_REQUEST['page']) {

		$page = 0;
		$offset = 0;

	} else {

		$page = $_REQUEST["page"];
		$offset = ($page - 1) * $config["list_num"];

	}

	// 記事一覧を取得
	$articles = $db->getArticleList($offset, $config['list_num']);

	// 記事一覧項目テンプレート読み込み
	$item_html_template = file_get_contents('template/list_item.template');

	// 各記事の一覧項目配列
	$article_items = array();

	if ($articles['itemList']) {

		// 各記事の一覧項目文字列作成
		foreach ($articles['itemList'] as $article) {

			$item = array();

			$item['title'] = $article['title'];
			$item['indexsummary'] = $article['indexsummary'];
			$item['date'] = date('Y/m/d', $article['writedate']);

			$item['article_url'] = str_replace('<:id:>', $article['id'], $config['article_link']);

			// 記事一覧画面に表示する各記事の文字列を追加
			$article_items[] = processTemplate($item_html_template, $item);

		}
	}

	$contents = array();

	$contents['blog_name'] = $config['blog_name'];
	$contents['article_list'] = '';
	$contents['page_navi'] = '';

	// 各記事の一覧項目用文字列を連結して記事一覧文字列を作成
	for ($i = 0;$i < count($article_items);$i++) {
		$contents['article_list'] .= $article_items[$i] . "\r\n";
	}

	// ページ移動メニュー作成
	if ($page > 2) {
		$contents['page_navi'] = '<a href="list.php?page=' . ($page - 1) . '">前ページ</a>';
	}

	if ($page == 2) {
		$contents['page_navi'] = '<a href="./">前ページ</a>';
	}

	if ($articles["itemNum"] > $offset + $config["list_num"]) {
		if ($contents['page_navi'] == '') {
			$contents['page_navi'] .= '<a href="list.php?page=' . ($page + 1) . '">次ページ</a>';
		} else {
			$contents['page_navi'] .= ' | <a href="list.php?page=' . ($page + 1) . '">次ページ</a>';
		}
	}

	// トップ（記事一覧）画面テンプレートを読み込む
	$template = file_get_contents('template/index.template');

	// テンプレートを処理して出力用HTML生成
	$html = processTemplate($template, $contents);

	// HTML出力
	print $html;

?>
