<?php

	require_once "BlogDB.php";

	// テンプレートファイルから出力用HTMLを作成
	function processTemplate($template, $content) {

		$result = $template;

		foreach ($content as $key => $value) {

			$replaceKey = '<:' . $key . ':>';

			$result = str_replace($replaceKey, $value, $result);

		}

		return $result;

	}

	function updateAtom($updated) {

		global $config;

		$db = new BlogDB($config['db_path']);

		// ATOM用に最新更新記事を4件取得
		$result = $db->getUpdatedArticleList(0, 4);

		if ($result) {
			$result = $result['itemList'];
		}

		// ATOM作成
		$atom = '<?xml version="1.0" encoding="utf-8"?>' . "\n";
		$atom .= '<feed xmlns="http://www.w3.org/2005/Atom">' . "\n";
		$atom .= "\t<title>" . $config["blog_name"] . "</title>\n";
		$atom .= "\t" . '<link href="' . $config["blog_url"] . '"/>' . "\n";
		$atom .= "\t<updated>" . date(DATE_ATOM, $updated) . "</updated>\n";
		$atom .= "\t<author>\n\t\t<name>" . $config["blog_author"] . "</name>\n\t</author>\n";

		$entry = "";

		if ($result) {
			for ($i = 0;$i < count($result);$i++) { 

				$row = $result[$i];

				$article_link = str_replace('<:id:>', $row['id'], $config['article_link']);

				$date = date(DATE_ATOM, $row["changedate"]);

				$entry .= "\t<entry>\n";
				$entry .= "\t\t<title>" . $row["title"] . "</title>\n";
				$entry .= "\t\t" . '<link href="' . $config["blog_url"] . $article_link. '"/>' . "\n";
				$entry .= "\t\t<updated>" . $date . "</updated>\n";
				$entry .= "\t\t<author>\n\t\t\t<name>" . $config["blog_author"] . "</name>\n\t\t</author>\n";
				$entry .= "\t\t<id>" . $config["atom_id_prefix"] . "," . date("Y-m-d", $row["writedate"]) . ":" . $row["id"] . "</id>\n";

				$entry .= "\t\t<summary>" . $row["atomsummary"] . "</summary>\n";

				$entry .= "\t</entry>\n";

			}
		}

		$atom .= $entry;
		$atom .= "</feed>\n";

		file_put_contents($config["atom_path"], $atom);

	}

?>
